[needs-packaging] dolphin, a Nintendo Gamecube/wii Emulator

Reported by rhY on 2008-08-19
42
This bug affects 6 people
Affects Status Importance Assigned to Milestone
Ubuntu
Wishlist
glennric
Declined for Lucid by Fabrice Coutadeur
Declined for Maverick by Fabrice Coutadeur

Bug Description

License: GPL 2
Homepage:
- http://www.dolphin-emu.com/
- http://code.google.com/p/dolphin-emu/

Dolphin is a Nintendo Gamecube/wii Emulator. It is completely Open Source, and we need it in the repos. It also plays a few Nintendo Wii games.

Dylan A. (dylan.a) on 2009-01-20
description: updated
Tommi Saira (tommisaira) on 2009-12-11
description: updated

What is the status of this. I am a developer for this program and we are interested in seeing "dolphin-emu" make it into Ubuntu's universe or multiverse repository. I am willing to maintain the package if that helps. I currently am maintaining packages in a ppa for Ubuntu 9.10. The ppa is ppa:glennric/dolphin-emu.

shankao (shankao) wrote :

It would be great if you polish and apply those packages for inclusion in ubuntu's universe.
Just assign this bug to yourself and put its status as 'in progress', then follow the instructions in the ubuntu wiki for creating new packages.

glennric (glennric) wrote :

Inclusion in the universe

Changed in ubuntu:
assignee: nobody → glennric (glennric)
status: Confirmed → In Progress
Mathieu Comandon (strycore) wrote :

what's up with the status of this bug ?
Guess it won't make it in maverick, can we hope seeing dolphin-emu in natty ?

glennric (glennric) wrote :

I have uploaded a dolphin-emu package to REVU. It is at http://revu.ubuntuwire.com/p/dolphin-emu.

summary: - [needs-packaging] dolphin
+ [needs-packaging] dolphin, a Nintendo Gamecube/wii Emulator
h3ndrik (hendrik-langer) wrote :

please provide packages for upcoming/current version of ubuntu (natty)

glennric (glennric) wrote :

There are some problems with dolphin-emu that prevent it from being in a distributable form. Namely, that dolphin-emu must be linked against nvidia CG. Until we have replaced that with GLSL shaders, dolphin-emu will not be included in Ubuntu.

Aaaahhh!! Man that's a bummer. What about getting it in the Linux Mint
Software Manager? They have all kinds of stuff in there: Skype, Picasa,
etc..

I can help out with this process if needs be.

rhY

On Mon, Mar 28, 2011 at 2:41 PM, glennric <email address hidden> wrote:

> There are some problems with dolphin-emu that prevent it from being in a
> distributable form. Namely, that dolphin-emu must be linked against
> nvidia CG. Until we have replaced that with GLSL shaders, dolphin-emu
> will not be included in Ubuntu.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/259334
>
> Title:
> [needs-packaging] dolphin, a Nintendo Gamecube/wii Emulator
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+bug/259334/+subscribe
>

--
http://www.reverbnation.com/thegreenjacket
http://www.leperkhanz.com

Timmy Shih Jun Yee (shijun) wrote :

The Cg shaders can be compiled with the tools available in nvidia-cg-toolkit, which is in the Ubuntu multiverse repository. That would mean that dolphin-emu can be included in Ubuntu, but it would have to be in multiverse.

rhY (rhy) wrote :

Sounds good! Let's get it in multiverse!

rhY

On Sun, Apr 3, 2011 at 9:14 PM, Timmy Shih Jun Yee <
<email address hidden>> wrote:

> The Cg shaders can be compiled with the tools available in nvidia-cg-
> toolkit, which is in the Ubuntu multiverse repository. That would mean
> that dolphin-emu can be included in Ubuntu, but it would have to be in
> multiverse.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/259334
>
> Title:
> [needs-packaging] dolphin, a Nintendo Gamecube/wii Emulator
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+bug/259334/+subscribe
>

--
http://www.reverbnation.com/thegreenjacket
http://www.leperkhanz.com

glennric (glennric) wrote :

Unfortunately, even that can not be done because of licensing issues. Dolphin-emu is currently licensed under LGPL version 2. As such it is not distributable if it links against a proprietary library. Even if that proprietary library is in the repositories.

Timmy Shih Jun Yee (shijun) wrote :

You are correct here since dolphin-emu is licensed under GPLv2 (I believe you accidentally typed an "L" there). So it's not only just Cg shaders needing to be compiled but also dolphin-emu needing to link against the Cg standard library?

Thank you for the clarification.

glennric (glennric) wrote :

Yes. The shader code is generated at runtime, and the shader binaries are then generated using Cg library calls. So there is no way to avoid linking against those libraries, other than switching to GLSL shaders. We are working on that, but it will take time.

Oops, I meant GPLv2.

benpicco (benpicco) wrote :

Can't you just add an exception to Dolphin's license so that it allows linking against nvidia CG?

rhY (rhy) wrote :

Yeah. That sounds good to me. Let's get Dolphin running native on 40
million computers!

:)

On Tue, Apr 12, 2011 at 10:58 AM, benpicco <email address hidden>wrote:

> Can't you just add an exception to Dolphin's license so that it allows
> linking against nvidia CG?
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/259334
>
> Title:
> [needs-packaging] dolphin, a Nintendo Gamecube/wii Emulator
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+bug/259334/+subscribe
>

--
http://www.reverbnation.com/thegreenjacket
http://www.leperkhanz.com

glennric (glennric) wrote :

I hate to continue to put a damper on things, but unfortunately, as I understand it, in order to add such an exception we would have to change to GPLv3. Such a clause is not consistent with the GPLv2 license. That means a consensus needs to be reached among the developers to change licenses. There are a lot of developers for dolphin-emu, so that is not as easy as it sounds.

rhY (rhy) wrote :

It's doable. Put it on Google Code, and see if it gets a net positive or
net negative review. :)

On Tue, Apr 12, 2011 at 8:56 PM, glennric <email address hidden> wrote:

> I hate to continue to put a damper on things, but unfortunately, as I
> understand it, in order to add such an exception we would have to change
> to GPLv3. Such a clause is not consistent with the GPLv2 license. That
> means a consensus needs to be reached among the developers to change
> licenses. There are a lot of developers for dolphin-emu, so that is not
> as easy as it sounds.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/259334
>
> Title:
> [needs-packaging] dolphin, a Nintendo Gamecube/wii Emulator
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+bug/259334/+subscribe
>

--
http://www.reverbnation.com/thegreenjacket
http://www.leperkhanz.com

benpicco (benpicco) wrote :

Any updates on this?

glennric (glennric) wrote :

There has been a lot of progress in getting Dolphin working with GLSL shaders. In fact there is a branch of the git repository with this working. However, it is a lot slower than the Cg shaders. There have been some other recent developments that will also make it difficult to get Dolphin accepted into official repositories. A decision was made to no longer support the 2.8 stable releases of wxWidgets, and only support the 2.9 development branch of wxWidgets (in fact the current requirement is 2.9.4 which isn't even a release of any sort although dolphin build with 2.9.3). That means we will have to get wxWidgets 2.9.3 accepted into the repositories. Last I had checked there was a negative vote for this because it is not a stable release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers